# 贡献者行为准则

作为 DragonOS 社区的贡献者、维护者和参与者，我们努力建设一个开放和受欢迎的社区，我们承诺尊重所有上报 Issue、发布功能需求、更新文档、提交 PR 或补丁、参加会议或活动以及其他社区和项目活动的贡献者和参与者。

我们致力于让参与 DragonOS 社区的每个人都不受骚扰，无论其年龄、体型、种姓、残疾、族裔、经验水平、家庭状况、性别、性别认同和表达、婚姻状况、军人或退伍军人身份、国籍、个人外表、种族、宗教、性取向、社会经济地位、部落或任何其他多样性维度如何。

## 适用范围

本行为准则适用于：

- DragonOS项目和社区空间
- 其他空间（在DragonOS社区参与者的言论或行动涉及到DragonOS社区、DragonOS项目或者其他DragonOS社区参与者的情况下）


## 我们的标准

DragonOS 社区是一个开放、包容和互相尊重的社区。我们社区的每个成员都有受到他人尊重的权利。

有助于营造积极社区环境的行为包括：

- 对他人表现出同理心和善意
- 尊重不同的观点、视角和经验
- 给予并优雅地接受建设性反馈
- 承担责任并向受我们错误影响的人道歉，并吸取教训
- 关注点不只放在如何让我们自己受益，还要着眼于整个社区

不可接受的行为包括：

- 使用性化语言或图像，以及任何形式的性关注或挑逗
- 恶意挑衅、侮辱或贬损评论，以及个人或政治攻击
- 公开或私下骚扰
- 未经明确许可发布他人的私人信息，如电子邮件地址、住址等
- 在专业环境中可能被认为不适当的其他行为
- 任何违反中国法律以及您所在国家/地区法律的行为。

并且，我们严令禁止以下行为：

- 故意妨碍PMC对违规行为的调查。
- 对在合规调查中，提供了证据或信息的证人进行打击报复的行为。

## 执行


社区的维护者负责明确并执行我们可接受行为的标准，并将采取适当的公平纠正措施，以回应他们认为不适当、威胁性、冒犯性或有害的任何行为。

PMC有权也有责任删除、编辑或拒绝不符合此行为准则的评论、提交、代码、wiki编辑、问题和其他贡献，并在适当的时候披露原因。

任何滥用、骚扰或其他不可接受行为的实例都可以报告给PMC，联系方式为[pmc@dragonos.org](mailto:pmc@dragonos.org)。所有投诉都将得到及时和公平的审查和调查。
所有社区领导者都有义务尊重任何事件报告者的隐私和安全。

DragonOS社区目前的举报审查及处理决定由PMC负责。

### 执行指南


PMC将遵循这些社区影响指南，以确定违反此行为准则的任何行为的后果：

1. 纠正
社区影响：在社区中使用不适当的语言或其他被认为不专业或不欢迎的行为。
后果：来自PMC的私下书面警告，明确违规的性质并解释为什么该行为是不适当的。可能会要求公开道歉。
2. 警告
社区影响：通过单一事件或一系列行为的违规。
后果：警告并指出继续该行为的后果。在指定时间内，不得与相关人员互动，包括未经请求地与执行行为准则的人互动。这包括避免在社区空间以及外部渠道如社交媒体上的互动。违反这些条款可能导致临时或永久封禁。
3. 临时封禁
社区影响：严重违反社区标准，包括持续的不适当行为。
后果：在指定时间内，禁止与社区进行任何互动或公共沟通。在此期间，不允许与相关人员公开或私下互动，包括未经请求地与执行行为准则的人互动。违反这些条款可能导致永久封禁。
4. 永久封禁
社区影响：表现出持续违反社区标准的模式，包括持续的不适当行为、对个人的骚扰或对个体群体的人身攻击或诋毁。
后果：永久禁止在社区内进行任何形式的公开互动。

## 参见

本行为准则改编自 [Contributor Covenant](https://www.contributor-covenant.org) 2.1 版, 参见 [https://www.contributor-covenant.org/version/2/1/code_of_conduct.html][v2.1]。

社区处理方针灵感来源于 [Mozilla's code of conduct enforcement ladder](https://github.com/mozilla/diversity)。

有关本行为准则的常见问题的答案，参见 [https://www.contributor-covenant.org/faq](https://www.contributor-covenant.org/faq)。
